#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,200,240,280,600,1240,2480
 * N : 25,120,200,240,280,600,1240,2480
 * NB : 2,8,8,40,56,48,16,72
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 2; \
   else if ((n_) < 220) (nb_) = 8; \
   else if ((n_) < 260) (nb_) = 40; \
   else if ((n_) < 440) (nb_) = 56; \
   else if ((n_) < 920) (nb_) = 48; \
   else if ((n_) < 1860) (nb_) = 16; \
   else (nb_) = 72; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
